//
// MENU - BLOCK -- menu
//

#menu {

    .block-menu {

        & > h2 {
            display: none;
        }
    
        @media (max-width: $screen-sm-max) {

            & {
                padding: 0px 0px 35px 0px;
            }
    
            /* 1 */
            ul.menu {
                margin: 0;
                padding: 0;

                li {
                    position: relative;
                    margin: 0;
                    padding: 0;
                    line-height: 1.5;

                    a {
                        display: block;  
                        padding: 15px 80px 15px 20px;
                        text-decoration: none;
                        border-bottom: 1px solid $menu-mobile-border;
                        color: $menu-mobile-link-text;
                        font-size: 20px;

                        &:hover {
                            color: $menu-mobile-link-text-hover;
                        }        
                        &.is-active {
                            color: $menu-mobile-link-text-active;
                        }
                        &.is-active:hover {
                            color: $menu-mobile-link-text-active-hover;
                        }
    
                    }

                    /* 2 */
                    ul {
                        display: none;
                        border: 0;

                        &.open {
                            display: block;
                        }            

                        li {
                            a {
                                padding: 15px 80px 15px 40px;
                            }

                            /* 3 */
                            ul  {

                                li {

                                    a {
                                        padding: 15px 80px 15px 60px;
                                    }

                                    /* 4 */
                                    ul {

                                        li {

                                            a {
                                                padding: 15px 80px 15px 80px;
                                            }

                                            /* 5 */
                                            ul {

                                                li {

                                                    a {
                                                        padding: 15px 80px 15px 100px;
                                                    }

                                                }

                                            }

                                        }

                                    }

                                }

                            }

                        }
    
                    }

                    span {
                        position: absolute;
                        right: 0;
                        top: 0px;
                        height: 60px;
                        width: 60px;
                        background: url('../images/down.svg') no-repeat 50% 50%;
                        cursor: pointer;
                        border-left: 1px solid $menu-mobile-border;  

                        &.open {
                            background: url('../images/top.svg') no-repeat 50% 50%;
                        }
    
                    }

                }
        
            }
            
        } 
    
        @media (min-width: $screen-md-min) {
        
            & {
                position: relative;
            }
    
            /* 1 */
            & > ul.menu {
                margin: 0;
                padding: 0;
                display: flex; 
                flex-direction: row;

                & > li {
                    margin: 0;
                    padding: 0;
                    list-style: none;
                    position: relative;
                    line-height: 1;
                    /* 
                    flex-grow: 1; 
                    */

                    a {
                        display: block;
                        margin: 0;
                        padding: 0 3rem;
                        height: 54px;
                        line-height: 54px;
                        text-align: center;
                        background: $menu-link-background;
                        color: $menu-link-text;     
                        text-decoration: none;
                        text-transform: uppercase;
                        white-space: nowrap;   
                    }

                    &:hover {

                        & > a {
                            background: $menu-link-background-hover;
                            color: $menu-link-text-hover;

                            &:hover {
                                background: $menu-link-background-hover;
                                color: $menu-link-text-hover;
                            }

                        }

                    }

                    &.menu-item--active-trail {

                        & > a {
                            color: $menu-link-text;     
                            font-weight: bold;
                        }
                        &:hover > a {
                            color: $menu-link-text-active-hover;     
                        }
    
                    }

                    /* 2 */
                    & > ul {
                        display: none;
                        background: $menu-second-link-background;            
                    }
                    &:hover > ul {
                        display: block;
                        position: absolute;
                        top: 54px;
                        left: 0;
                        z-index: 1000;
                        height: auto;
                        min-width: 100%;
                    }
                    &:last-child > ul {
                        right: 0;
                        left: auto;
                    }

                    & > ul {

                        & > li {
                            margin: 0;
                            padding: 0;
                            height: auto;
                            line-height: 1;

                            & > a {
                                margin: 0;
                                padding: 15px 20px;
                                text-align: left;
                                height: auto;
                                line-height: 1;
                                text-transform: none;
                                font-weight: normal;
                                color: $menu-second-link-text;

                                &:hover {
                                    background: $menu-second-link-background-hover;
                                    color: $menu-second-link-text-hover;
                                }
    
                            }

                            /* 3 */
                            ul {
                                display: none !important;
                            }

                        }

                    }

                }

            }
    
        }
    
    }
  
}
